mediastreamer2 2.12.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

_MSMediaResource Struct Reference
Mediastreamer2's high level APIs » Audio streaming API - Create and run VoIP audio streams.

`#include <mediastream.h>`

## Detailed Description

Structure describing the input or the output of a MediaStream. type must be set to one the member of the MSResourceType enum, and the correspoding resource argument must be set: the file name (const char*) for MSResourceFile, the RtpSession for MSResourceRtp, an MSWebCam for MSResourceCamera, an MSSndCard for MSResourceSoundcard.

Warning
  due to implementation, if RTP is to be used for input and output, the same RtpSession must be passed for both sides.

The documentation for this struct was generated from the following file:

- mediastream.h